#
# $Id$
#
%define perlvendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define srcname pbmkbm

Summary:	Project Builder Make Build Media helps providing Custom Bootable Media
Summary(fr):	Project Builder Make Boot Media permet de créer des media amorçables à façon

Name:		pbmkbm
Version:	0.14.3
Release:	1.mga1
License:	GPLv2
Group:		System/Configuration/Packaging
Url:		http://trac.project-builder.org
Source:		ftp://ftp.project-builder.org//src/%{srcname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildArch:	noarch
Requires:	perl >= 5.8.4,perl-ProjectBuilder, 
BuildRequires: rpm-build

%description
ProjectBuilder Make Build Media aka pbmkbm helps producing 
Bootable media based on the local distribution
or pointing to another distribution repository

%description -l fr
Project Builder Make Boot Media permet de créer des media amorçables à façon

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/ 
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS AUTHORS
%doc INSTALL COPYING README

#%{perlvendorlib}/*
%{_bindir}/*
#%{_sysconfdir}/%{name}
%{_mandir}/man1/*
#%{_mandir}/man3/*

%changelog
* Sat Mar 04 2017 Bruno Cornec <bruno@project-builder.org> 0.14.3-1
- Updated to 0.14.3
- No change

* Wed Jan 04 2017 Bruno Cornec <bruno@project-builder.org> 0.14.2-1
- Updated to 0.14.2
- No change

* Mon Jul 25 2016 Bruno Cornec <bruno@project-builder.org> 0.14.1-1
- Updated to 0.14.1
- No change

* Wed Feb 17 2016 Bruno Cornec <bruno@project-builder.org> 0.13.2-1
- Updated to 0.13.2
- No change

* Wed Nov 25 2015 Bruno Cornec <bruno@project-builder.org> 0.13.1-1
- Updated to 0.13.1
- No change

* Thu Feb 05 2015 Bruno Cornec <bruno@project-builder.org> 0.12.7-1
- Updated to 0.12.7
- No change

* Sun Jun 22 2014 Bruno Cornec <bruno@project-builder.org> 0.12.6-1
- Updated to 0.12.6
- No change

* Tue Feb 04 2014 Bruno Cornec <bruno@project-builder.org> 0.12.5-1
- Updated to 0.12.5
- No change

* Wed Jan 15 2014 Bruno Cornec <bruno@project-builder.org> 0.12.4-1
- Updated to 0.12.4
- No change

* Sun Jan 05 2014 Bruno Cornec <bruno@project-builder.org> 0.12.3-1
- Updated to 0.12.3
- remove mkbmpath variable to use cachedir instead (Bruno Cornec)

* Tue Feb 26 2013 Bruno Cornec <bruno@project-builder.org> 0.12.2-1
- Updated to 0.12.2
- Minor changes. Still not usable (Bruno Cornec)

* Mon May 28 2012 Bruno Cornec <bruno@project-builder.org> 0.12.1-1
- Updated to 0.12.1
- First version of this tool which builds custom bootable media. Not usable yet. Will be developed during 0.12.x life (Bruno Cornec)


